AIO_ERROR(3)

NAME
aio_error - get error status of asynchronous I/O operation

SYNOPSIS
#include <aio.h>

int aio_error(const struct aiocb *aiocbp);

DESCRIPTION
The aio_error() function returns the error status for the asynchronous I/O request with control block pointed to by aiocbp.

RETURN VALUE
This function returns EINPROGRESS if the request has not been completed yet. It returns ECANCELED if the request was canceled. It returns 0 if the request completed successfully. Otherwise an error value is returned, the same value that would have been stored in the errno variable in case of a synchronous read, write, fsync, or fdatasync request. On error, the error value is returned.

ERRORS

EINVAL
    aiocbp does not point at a control block for an asynchronous I/O request of which the return status (see aio_return(3)) has not been retrieved yet.

CONFORMING TO
POSIX.1-2001

SEE ALSO
aio_cancel(3), aio_fsync(3), aio_read(3), aio_return(3), aio_suspend(3), aio_write(3)

COLOPHON
This page is part of release 2.76 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.